#!/bin/sh

# Location of Axis-related jar files
AXIS_LIB=/usr/local/share/java/axis

# Required jars
AXIS_JAR=$AXIS_LIB/axis.jar
COMMONS_DISC_JAR=$AXIS_LIB/commons-discovery.jar
COMMONS_LOG_JAR=$AXIS_LIB/commons-logging.jar
JAXRPC_JAR=$AXIS_LIB/jaxrpc.jar
SAAJ_JAR=$AXIS_LIB/saaj.jar
WSDL4J_JAR=$AXIS_LIB/wsdl4j.jar

CPATH=SOAPDebugger.jar
CPATH=$CPATH:$AXIS_JAR:$JAXRPC_JAR:$SAAJ_JAR:$WSDL4J_JAR
CPATH=$CPATH:$COMMONS_DISC_JAR:$COMMONS_LOG_JAR

java -cp $CPATH SOAPDebugger $*
