/* -*- mode: Java; c-basic-offset: 4 -*- */
/*------------------------------------------------------------------------
 |  FILE            KeyValue.java
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

package no.shhsoft.soapdebugger;

/**
 *
 *
 * @author   Sverre H. Huseby
 *           &lt;<a href="mailto:shh@thathost.com">shh@thathost.com</a>&gt;
 */
final class KeyValue {
/*-----------------------------------------------------------------------+
|  PACKAGE LOCAL PART                                                    |
+-----------------------------------------------------------------------*/
    String key;
    String value;
    boolean keyOnly;

    KeyValue(String key, String value, boolean keyOnly) {
        this.key = key;
        this.value = value;
        this.keyOnly = keyOnly;
    }

    KeyValue(String key, String value) {
        this(key, value, false);
    }

    KeyValue(String key) {
        this(key, "", true);
    }
}
